Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.car
Class DescriptorHandler

    java.lang.Object
      org.jasig.portal.car.DescriptorHandler

    public class DescriptorHandler

extends java.lang.Object

Class to parse the component deployment descriptor causing some tags to take action during parsing and others to cache information in the descriptor making it accessible via accessor methods.

Version:
  $Revision: 1.10 $
Author:
  Mark Boyd

Field Summary
`static java.lang.String` | `CHANDEF_TAG_NAME`
`static Path` | `CHANDEFS`
`static java.lang.String` | `CHANTYPE_TAG_NAME`
`static Path` | `CHANTYPES`
`static Path` | `COMPONENT`
`static java.lang.String` | `COMPONENT_TAG_NAME`
`static java.lang.String` | `DATABASE_TAG_NAME`
`static Path` | `DBDEFS`
`static java.lang.String` | `EXTENSION_TAG_NAME`
`static Path` | `EXTENSIONS`
`private static org.apache.commons.logging.Log` | `log`
`static Path` | `PROCESS`
`static java.lang.String` | `PROCESS_TAG_NAME`
`static java.lang.String` | `RCS_ID`
`static java.lang.String` | `SERVICE_TAG_NAME`
`private SAX2BufferImpl` | `services`
`static Path` | `SERVICES`
`static java.lang.String` | `WORKER_TAG_NAME`
`private java.util.Properties` | `workers`
`static Path` | `WORKERS`

Constructor Summary
`DescriptorHandler(java.util.jar.JarFile jarFile)` Constructs a new CAR descriptor handler that will parse the descriptor passing relevant portions to handlers designed specifically for that portion.

Method Summary
`void` | `getServices(org.xml.sax.ContentHandler c)` Generates event calls to the passed in handler for service descriptions extracted from the parsed the deployment descriptor.
`void` | `getWorkers(java.util.Properties p)` Adds to the passed in Properties object the names of workers and their implementing classes as specified in the parsed deployment descriptor.
`private void` | `parseDescriptor(java.util.jar.JarFile jarFile, ComponentTagHandler handler)` Parse the deployment descriptor for a CAR.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### log

    private static final org.apache.commons.logging.Log log

### workers

    private java.util.Properties workers

### services

    private SAX2BufferImpl services

### COMPONENT_TAG_NAME

    public static final java.lang.String COMPONENT_TAG_NAME

See Also:
  Constant Field Values

### WORKER_TAG_NAME

    public static final java.lang.String WORKER_TAG_NAME

See Also:
  Constant Field Values

### SERVICE_TAG_NAME

    public static final java.lang.String SERVICE_TAG_NAME

See Also:
  Constant Field Values

### EXTENSION_TAG_NAME

    public static final java.lang.String EXTENSION_TAG_NAME

See Also:
  Constant Field Values

### CHANDEF_TAG_NAME

    public static final java.lang.String CHANDEF_TAG_NAME

See Also:
  Constant Field Values

### CHANTYPE_TAG_NAME

    public static final java.lang.String CHANTYPE_TAG_NAME

See Also:
  Constant Field Values

### DATABASE_TAG_NAME

    public static final java.lang.String DATABASE_TAG_NAME

See Also:
  Constant Field Values

### PROCESS_TAG_NAME

    public static final java.lang.String PROCESS_TAG_NAME

See Also:
  Constant Field Values

### COMPONENT

    public static final Path COMPONENT

### WORKERS

    public static final Path WORKERS

### PROCESS

    public static final Path PROCESS

### SERVICES

    public static final Path SERVICES

### EXTENSIONS

    public static final Path EXTENSIONS

### CHANDEFS

    public static final Path CHANDEFS

### CHANTYPES

    public static final Path CHANTYPES

### DBDEFS

    public static final Path DBDEFS

Constructor Detail

### DescriptorHandler

    DescriptorHandler(java.util.jar.JarFile jarFile)

  Constructs a new CAR descriptor handler that will parse the descriptor passing relevant portions to handlers designed specifically for that portion.

Method Detail

### parseDescriptor

    private void parseDescriptor(java.util.jar.JarFile jarFile,
                                 ComponentTagHandler handler)

  Parse the deployment descriptor for a CAR. No need to synchronize since private and only called from constructor.

### getWorkers

    public void getWorkers(java.util.Properties p)

  Adds to the passed in Properties object the names of workers and their implementing classes as specified in the parsed deployment descriptor.

### getServices

    public void getServices(org.xml.sax.ContentHandler c)
                     throws org.xml.sax.SAXException

  Generates event calls to the passed in handler for service descriptions extracted from the parsed the deployment descriptor.

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD